## org.apache.cassandra.io.util
Class BufferedSegmentedFile.Builder

    java.lang.Object
      org.apache.cassandra.io.util.SegmentedFile.Builder
          org.apache.cassandra.io.util.BufferedSegmentedFile.Builder

Enclosing class:
  BufferedSegmentedFile

    public static class BufferedSegmentedFile.Builder

extends SegmentedFile.Builder

Constructor Summary
`BufferedSegmentedFile.Builder()`

Method Summary
`void` `addPotentialBoundary(long boundary)` Adds a position that would be a safe place for a segment boundary in the file.
`SegmentedFile` `complete(java.lang.String path)` Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedSegmentedFile.Builder

    public BufferedSegmentedFile.Builder()

Method Detail

### addPotentialBoundary

    public void addPotentialBoundary(long boundary)

  Adds a position that would be a safe place for a segment boundary in the file. For a block/row based file format, safe boundaries are block/row edges.

  Specified by:
    `addPotentialBoundary` in class `SegmentedFile.Builder`
  Parameters:
    `boundary` - The absolute position of the potential boundary in the file.

### complete

    public SegmentedFile complete(java.lang.String path)

  Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

  Specified by:
    `complete` in class `SegmentedFile.Builder`
  Parameters:
    `path` - The file on disk.

Copyright © 2012 The Apache Software Foundation